## debian-reference 2.137

=== Makefile ===
#######################################################################
# Build debian-reference (v2)
# vim: set ts=8:
#######################################################################
#======================================================================
# ===== Adjustable parameters =========================================
#======================================================================
# base file name excluding file extension
MANUAL	:=	debian-reference
#
# build strategy depends on build environment (robust build)
#STRATEGY := $(shell if [ "$$(lsb_release -s -r)" = "n/a" ]; then echo "unstable"; else echo "stable" ; fi)

# When texlive tool chain suffer problem, run "make prep" and commit "keep/"
# directory in stable environment and build package in STRATEGY=unstable
# environment
STRATEGY := stable
# When OK situation, uncomment to set as above

# ja  100 %       -- COMPLETED translation (must be more than 40%)
# fr  99 %       -- COMPLETED translation (must be more than 40%)
# it  99 %       -- COMPLETED translation (must be more than 40%)
# es  99 %       -- COMPLETED translation (must be more than 40%)
# zh-cn  100 %       -- COMPLETED translation (must be more than 40%)
# id  100 %       -- COMPLETED translation (must be more than 40%)
# de  99 %       -- COMPLETED translation (must be more than 40%)
# pt-br  79 %       -- COMPLETED translation (must be more than 40%)
# pt  99 %       -- COMPLETED translation (must be more than 40%)
# zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
# sv  100 %       -- COMPLETED translation (must be more than 40%)
# ro  57 %       -- COMPLETED translation (must be more than 40%)
# nb  6 %       -- COMPLETED translation (must be more than 40%)


LANGPO		:=	ja fr it es zh-cn id de pt-br pt zh-tw sv ro
LANGPO_PREP	:=	ja fr it es zh-cn id de pt-br pt zh-tw sv ro
# languages to skip generation of PDF files (not used now)

NOPDF	:=
# languages to build document
LANGALL	=	en $(LANGPO)
# Packages uploaded to unstable repo generate official Debian web pages
# Change these to post-release state when Debian is under soft freeze
#
# current "stable" release name
RELEASE_NAME0L := trixie
RELEASE_NAME0U := Trixie
# next "stable" / "testing" release name
RELEASE_NAME1L := forky
RELEASE_NAME1U := Forky
# next next "stable" / next "testing" release name
RELEASE_NAME2L := duke
RELEASE_NAME2U := Duke
# release name considered outdated (Release_Date-EOL_for_LTS)
RELEASE_NAMEXX := Jessie 8 (2015-2020)
# release names when this document was last updated
RELEASE_DOC_1  := Trixie (=<literal>stable</literal>)
RELEASE_DOC_2  := Forky (=<literal>testing</literal>)

# version in changelog
DR_VERSION :=	$(shell dpkg-parsechangelog --show-field Version)

# set SOURCE_DATE_EPOCH if unset (when not called from debhelper)
SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
# Export for reproducible PDF build
#  2020: https://tex.stackexchange.com/questions/568235/how-do-i-configure-pdflatex-to-output-binary-equivalent-pdfs-if-the-input-tex-fi
#  2015: https://tex.stackexchange.com/questions/229605/reproducible-latex-builds-compile-to-a-file-which-always-hashes-to-the-same-va
export SOURCE_DATE_EPOCH
FORCE_SOURCE_DATE = 1
export FORCE_SOURCE_DATE

# date in changelog
SOURCE_DATE := $(shell date -u +'%F %T %Z' --date=@$(SOURCE_DATE_EPOCH))

# BUILD_DIR is not mean to be set to generic TMPDIR
BUILD_DIR	:= $(CURDIR)/build
# KEEP_DIR holds PDFs build in the stable environment
KEEP_DIR	:= $(CURDIR)/keep

# Change $(DRAFTMODE) from "yes" to "maybe" when this document
# should go into production mode
#DRAFTMODE      := yes
DRAFTMODE       := maybe
export DRAFTMODE

# define EXPOSEMODE to yes to expose not-so-popular program listings in table list
# (This is used to hide marginal table list entry.)
EXPOSEMODE ?= no
ifeq "$(EXPOSEMODE)" "yes"
XML_COMMENT_START=
XML_COMMENT_END=
else
XML_COMMENT_START= <!--
XML_COMMENT_END= -->
endif

# Prevent external environment vriables to impact build result
TZ	:= "0"
export TZ
# Reset all locale variables for clean perl execution
unexport LANG
unexport LANGUAGE
unexport LC_TIME
unexport LC_COLLATE
unexport LC_ALL
unexport LC_MEASUREMENT
unexport LC_NUMERIC
unexport LC_PAPER
unexport LC_MONETARY

# for reproducible build
FORCE_SOURCE_DATE = 1
export FORCE_SOURCE_DATE
#######################################################################
### basic constant parameters
#######################################################################
# Directories (no trailing slash)
DXSL	:=	xslt
DBIN	:=	bin
DRAW	:=	rawxml
DPO	:=	po
DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images

# work around https://bugs.debian.org/725931
PERL_PERTURB_KEYS := 0
export PERL_PERTURB_KEYS
PERL_HASH_SEED := 0
export PERL_HASH_SEE

# Program name and option
# stop using faketime
XLINT	:=	xmllint --format
XPNO	:=	xsltproc --novalid --nonet
XPINC	:=	xsltproc --novalid --nonet --xinclude
MSGATTR	:=	msgattrib
MSGCAT	:=	msgcat
MSGUNIQ	:=	msguniq --use-first
DBLATEX	:=	/usr/bin/dblatex
SED	:=	sed
ZIP	:=      zip

# Source files
SRC_XML :=	$(wildcard $(DRAW)/*_*.rawxml)
SRC_ENT:=	remote.ent common.ent
# source PO files for all languages (build process requires these)
SRC_PO :=	$(addsuffix .po, $(addprefix  $(DPO)/, $(LANGPO)))
# sed script for replace
SEDF ?= $(DBIN)/replace0

# po4a/opencc translation
PO4A1 ?= $(DBIN)/po4a1
PO4A2 ?= $(DBIN)/po4a2
PO4ATMP ?= $(DBIN)/po4atmp
POFUZZY1 ?= $(DBIN)/pofuzzy1
POFUZZY2 ?= $(DBIN)/pofuzzy2

# Remote file source (related to Debian package archive URLs)
#DEBM	:=	http://ftp.us.debian.org/debian/dists
#DEBM	:=	http://ftp.jp.debian.org/debian/dists
DEBM	:=	http://deb.debian.org/debian/dists
# Debian popcon data source URL
UPOPC	:=	https://popcon.debian.org/all-popcon-results.txt.gz
# Debian release name and arch used
CODE	:=	sid
ARCH	:=	amd64
UDEBA	:=	$(DEBM)/$(CODE)
UDEBB	:=	$(DEBM)/experimental
UDEBC	:=	$(DEBM)/stable
UDEBD	:=	$(DEBM)/oldstable
# processed remote data
PACKAGES_DATA := packages.main packages.non-free-firmware packages.contrib packages.non-free \
		packages.txt packages.experimental.txt \
		packages.stable.txt packages.oldstable.txt
POPCON_DATA :=  all-popcon-results.txt \
		all-popcon-date.txt \
		all-popcon-submissions.txt \
		all-popcon-pkgs.txt
REMOTE_DATA :=	$(PACKAGES_DATA) $(POPCON_DATA)


#######################################################################
# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! type $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef
# Used as $(call check-file, <file>)
define check-file
set -e; if ! [ -r $(1) ]; then \
  echo "Missing file: $(1)"; \
  false; \
fi
endef
#======================================================================
# ===== Utility targets ===============================================
#======================================================================
#######################################################################
# $ make all       # build all formats
#######################################################################
.PHONY: all
# set LANGPO to limit language to speed up build
all: css html txt pdf
	@echo "PO status: fuzzy1 ======================"
	-cat fuzzy1.log
	@echo "PO status: fuzzy2 ======================"
	-cat fuzzy2.log

#######################################################################
# $ make test      # build html for all languages (for Translator)
#######################################################################
.PHONY: test
test: html css
	@echo "PO status: fuzzy1 ======================"
	-cat fuzzy1.log
	@echo "PO status: fuzzy2 ======================"
	-cat fuzzy2.log

#######################################################################
# $ make entity    # refresh remote.ent (Need remote access)
#######################################################################
# For major English update, run this and commit updated data
.PHONY: entity
entity:
	$(MAKE) entityclean
	$(MAKE) remote.ent

#######################################################################
# $ make en      # build html for testing (for English)
#######################################################################
.PHONY: en
en:
	$(MAKE) entity
	$(MAKE) html css LANGPO=

#======================================================================
# ===== Common-build targets (no remote access ) ======================
#======================================================================
$(DRAW)/$(MANUAL).rawxml: $(SRC_XML)
	#echo $^
	cd $(DRAW) ; ./merge.sh

#======================================================================
# ===== Pre-build only (remote access) ================================
#======================================================================
#######################################################################
# Phase 1.1 (pre-build): download Debian stat data (REMOTE_DATA)
#######################################################################
packages.main:
	# FETCH PACKAGE (sid main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
	rm packages.main.tmp

packages.contrib:
	# FETCH PACKAGE (sid contrib)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.xz   | xzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
	rm packages.contrib.tmp

packages.non-free-firmware:
	# FETCH PACKAGE (sid non-free-firmware)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/non-free-firmware/binary-$(ARCH)/Packages.xz  | xzcat - > packages.non-free-firmware.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free-firmware.tmp > packages.non-free-firmware
	rm packages.non-free-firmware.tmp

packages.non-free:
	# FETCH PACKAGE (sid non-free)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.xz  | xzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
	rm packages.non-free.tmp

packages.experimental.txt:
	# FETCH PACKAGE (experimental main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBB)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.experimental.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.experimental.tmp > packages.experimental.txt
	rm packages.experimental.tmp

packages.txt: packages.main packages.non-free-firmware packages.contrib packages.non-free
	# FETCH PACKAGE (sid)
	cat packages.main packages.non-free-firmware packages.contrib packages.non-free >packages.txt

packages.stable.txt:
	# FETCH PACKAGE (stable main)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBC)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.stable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.stable.tmp > packages.stable.txt
	rm packages.stable.tmp

packages.oldstable.txt:
	# FETCH PACKAGE (oldstable main contrib)
	@$(call check-command, wget, wget)
	@$(call check-command, grep-dctrl, dctrl-tools)
	wget -O - $(UDEBD)/main/binary-$(ARCH)/Packages.xz      | xzcat - > packages.oldstable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp > packages.oldstable.txt
	rm packages.oldstable.tmp
	wget -O - $(UDEBD)/contrib/binary-$(ARCH)/Packages.xz      | xzcat - > packages.oldstable.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.oldstable.tmp >> packages.oldstable.txt
	rm packages.oldstable.tmp

all-popcon-results.txt:
	# POPCON RESULTS

=== debian/changelog ===
debian-reference (2.137) unstable; urgency=medium

  * Use org.debian.debian-reference-common
  * Add sq and sqv
  * Update 10_data_management.rawxml
  * Update remote.ent
  * Update 02_debian_package_management.rawxml (Closes: #1114769)
  * Update PO (Closes: #1127701)

 -- Osamu Aoki <osamu@debian.org>  Fri, 13 Feb 2026 23:35:07 +0900

=== debian/control ===
Source: debian-reference
Maintainer: Osamu Aoki <osamu@debian.org>
Section: doc
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 dblatex,
 docbook-xml,
 docbook-xsl,
 fonts-liberation2,
 fonts-vlgothic,
 fonts-wqy-zenhei,
 libxml2-utils,
 locales-all | locales,
 opencc,
 po4a,
 python3,
 texlive-lang-chinese,
 texlive-lang-english,
 texlive-lang-european,
 texlive-lang-french,
 texlive-lang-german,
 texlive-lang-italian,
 texlive-lang-japanese,
 texlive-lang-other,
 texlive-lang-portuguese,
 texlive-lang-spanish,
 texlive-xetex,
 w3m,
 xsltproc,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/debian-reference
Vcs-Git: https://salsa.debian.org/debian/debian-reference.git -b latest
Homepage: https://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends:
 sensible-utils,
 ${misc:Depends},
Recommends:
 w3m | www-browser,
Suggests:
 calibre,
 debian-reference,
 debian-reference-de,
 debian-reference-en,
 debian-reference-es,
 debian-reference-fr,
 debian-reference-id,
 debian-reference-it,
 debian-reference-ja,
 debian-reference-pt,
 debian-reference-pt-br,
 debian-reference-sv,
 debian-reference-zh-cn,
 debian-reference-zh-tw,
 mc,
 vim,
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This only provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends:
 debian-reference-en,
 ${misc:Depends},
Recommends:
 debian-reference-de,
 debian-reference-es,
 debian-reference-fr,
 debian-reference-id,
 debian-reference-it,
 debian-reference-ja,
 debian-reference-pt,
 debian-reference-pt-br,
 debian-reference-sv,
 debian-reference-zh-cn,
 debian-reference-zh-tw,
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

Package: debian-reference-de
Architecture: all
Depends:
 ${misc:Depends},
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The German translation.

Package: debian-reference-fr
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The French translation.

Package: debian-reference-id
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, Indonesian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Indonesian translation.

Package: debian-reference-it
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Italian translation.

Package: debian-reference-ja
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Japanese translation.

Package: debian-reference-pt
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Portugal) translation.

Package: debian-reference-pt-br
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, Portuguese (Brazil) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Brazil) translation.

Package: debian-reference-zh-cn
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, Chinese (Simplified) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Chinese (Simplified) translation.

Package: debian-reference-zh-tw
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, Chinese (Traditional) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Chinese (Traditional) translation.

Package: debian-reference-es
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, Spanish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Spanish translation.

Package: debian-reference-sv
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, Swedish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Swedish translation.

Package: debian-reference-ro
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 debian-reference-en,
 doc-base,
Pre-Depends:
 debian-reference-common (>= 2.127),
Description: Debian system administration guide, Romanian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Romanian translation.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-reference
## ----------------------------------------------------------------------


## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1
## no-parallel to build with the cleaner log (it slows!)
#BUILDOPT:=	 --parallel
#BUILDOPT:=	 --no-parallel

## ----------------------------------------------------------------------
# Package building language choice
# (This should be updated with the maintainer approval)
#
MANUAL	:=	debian-reference
LANGALL	:=	en ja fr id it pt de zh-cn zh-tw es pt-br sv ro
LANGPO	:=	   ja fr id it pt de zh-cn zh-tw es pt-br sv ro
# languages to skip generation of PDF files (not used now)
#NOPDF	:=	zh-cn zh-tw
NOPDF	:= sv

## ----------------------------------------------------------------------
## Targets

%:
	dh $@

override_dh_auto_build:
	# Generate files for debhelper in debian/
	cd $(CURDIR)/debian/ ; \
	cp all.postinst-in  $(MANUAL)-common.postinst ; \
	cp all.postrm-in    $(MANUAL)-common.postrm ; \
	for XX in $(LANGALL) ; do \
	  cp all.postinst-in  $(MANUAL)-$${XX}.postinst ; \
	  cp all.postrm-in    $(MANUAL)-$${XX}.postrm ; \
	  case $$XX in \
	    en) LANGX="English" ;;  \
	    de) LANGX="German" ;;   \
	    fr) LANGX="French" ;;   \
	    fi) LANGX="Finnish" ;;  \
	    es) LANGX="Spanish" ;;  \
	    id) LANGX="Indonesian" ;;  \
	    it) LANGX="Italian" ;;  \
	    ja) LANGX="Japanese" ;; \
	    pl) LANGX="Polish" ;; \
	    pt) LANGX="Portuguese (Portugal)" ;; \
	    pt-br) LANGX="Portuguese (Brazil)" ;; \
	    ro) LANGX="Romanian" ;; \
	    sv) LANGX="Swedish" ;; \
	    zh-tw) LANGX="Chinese (Traditional)" ;; \
	    zh-cn) LANGX="Chinese (Simplified)" ;; \
	    *) LANGX="$$x" ;; \
	  esac ; \
	  sed  -e "s/@@/$$XX/g" < all.install-in  >$(MANUAL)-$${XX}.install ; \
	  sed  -e "s/@@/$$XX/g" < all.links-in  >$(MANUAL)-$${XX}.links ; \
	  sed  -e "s/@@/$$XX/g" -e "s/@LANG@/$$LANGX/g" < all.doc-base-in  >$(MANUAL)-$${XX}.doc-base ; \
	  sed  -e "s/@@/$$XX/g" -e "s/@LANG@/$$LANGX/g" < all.metainfo-in  >$(CURDIR)/org.debian.$(MANUAL)-$${XX}.metainfo.xml ; \
	done
	dh_auto_build $(BUILDOPT) -- \
		"LANGALL=$(LANGALL)" \
		"LANGPO=$(LANGPO)" \
		"NOPDF=$(NOPDF)" \
		all


override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_test:
	# just in case backported to debhelper pre-13
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# error if shipped scripts have syntax error in them
	sh -n bin/debian-reference
	sh -n bin/mkindexhtml
endif

override_dh_auto_clean:
	# Clean files for debhelper in debian/
	-rm -f $(MANUAL)-common.postinst $(MANUAL)-common.postrm
	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(MANUAL)-, $(LANGALL) common))
	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(MANUAL)-, $(LANGALL) common))
	-rm -f $(addsuffix .links,    $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .install,  $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(MANUAL)-, $(LANGALL)))
	$(MAKE) "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"  clean

## debian-reference 2.138

=== Makefile ===
--- 
+++ 
@@ -21,16 +21,14 @@
 # fr  99 %       -- COMPLETED translation (must be more than 40%)
 # it  99 %       -- COMPLETED translation (must be more than 40%)
 # es  99 %       -- COMPLETED translation (must be more than 40%)
-# zh-cn  100 %       -- COMPLETED translation (must be more than 40%)
+# zh-cn  99 %       -- COMPLETED translation (must be more than 40%)
 # id  100 %       -- COMPLETED translation (must be more than 40%)
 # de  99 %       -- COMPLETED translation (must be more than 40%)
 # pt-br  79 %       -- COMPLETED translation (must be more than 40%)
-# pt  99 %       -- COMPLETED translation (must be more than 40%)
+# pt  100 %       -- COMPLETED translation (must be more than 40%)
 # zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
-# sv  100 %       -- COMPLETED translation (must be more than 40%)
-# ro  57 %       -- COMPLETED translation (must be more than 40%)
-# nb  6 %       -- COMPLETED translation (must be more than 40%)
-
+# sv  99 %       -- COMPLETED translation (must be more than 40%)
+# ro  81 %       -- COMPLETED translation (must be more than 40%)
 
 LANGPO		:=	ja fr it es zh-cn id de pt-br pt zh-tw sv ro
 LANGPO_PREP	:=	ja fr it es zh-cn id de pt-br pt zh-tw sv ro
@@ -312,3 +310,5 @@
 
 all-popcon-results.txt:
 	# POPCON RESULTS
+	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt
+

=== debian/changelog ===
debian-reference (2.138) unstable; urgency=medium

  [ Osamu Aoki ]
  * Update RAWXML (English)
    * XML escape
    * Update gpg with --gen-key
    * Add unshare
    * post-trixie
    * reboot for modern DE
    * East asian ambiguous character width: better link destination
    * Simplify by excluding old OS reference when describing top-down view.
    * Use GNOME as much
    * Add rescue system contents
    * Use /dev/sda instead of /dev/hda
    * Mention both cdrkit and Libburnia tools
    * Mention SSD
    * Use "USB flash drive" as much
    * remote.ent (mod)
    * Fix ja translation
    * make po

  [ Américo Monteiro ]
  * Translated using Weblate (Portuguese)

  [ Remus-Gabriel Chelu ]
  * Translated using Weblate (Romanian)

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ reducedradius ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Li Ma ]
  * Translated using Weblate (Chinese (Simplified Han script))

 -- Osamu Aoki <osamu@debian.org>  Tue, 24 Feb 2026 18:02:45 +0900
